Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
log-streams
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.LogStreams.Update(
        context.TODO(),
        "id",
        &management.UpdateLogStreamRequestContent{},
    )
}
{
  "id": "<string>",
  "name": "<string>",
  "status": "active",
  "type": "http",
  "isPriority": true,
  "filters": [
    {
      "type": "category",
      "name": "auth.login.fail"
    }
  ],
  "pii_config": {
    "log_fields": [
      "first_name"
    ],
    "method": "mask",
    "algorithm": "xxhash"
  },
  "sink": {
    "httpEndpoint": "<string>",
    "httpAuthorization": "<string>",
    "httpContentFormat": "JSONARRAY",
    "httpContentType": "<string>",
    "httpCustomHeaders": [
      {
        "header": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the log stream to get

Body

name
string

log stream name

status
enum<string>

The status of the log stream. Possible values: active, paused, suspended

Available options:
active,
paused,
suspended
isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
sink
object

Response

Log stream updated

id
string<log-stream-id>

The id of the log stream

name
string

log stream name

status
enum<string>

The status of the log stream. Possible values: active, paused, suspended

Available options:
active,
paused,
suspended
type
enum<string>
Available options:
http
isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
sink
object